<template>
  <div class="table">
    <div class="row header">
      <div class="col-sm-4"></div>
      <div class="col-sm-2">Queue Number</div>
      <div class="col-sm-6">Customer Name</div>
    </div>

    <queue-list-item v-for="(item, idx) in list"
                     :key="item.number"
                     :item="item"
                     :is-now-serving="idx === 0"
                     :is-user="isSameAsActiveUser(item)"/>

    <div class="smd-row"
         v-if="!list.length">
      <div class="col-xs-12 text-center empty-message">Queue is empty</div>
    </div>
  </div>

</template>

<script>
  import QueueListItem from './QueueListItem.vue'

  export default {
    name: "QueueList",
    components: {QueueListItem: QueueListItem},
    props: {
      activeUserName: {type: String},
      list: {type: Array, required: true}
    },
    methods: {
      isSameAsActiveUser(item) {
        return (this.activeUserName || '').toUpperCase() === (item.name || '').toUpperCase();
      }
    }
  }
</script>

<style scoped>
  .table {
    margin-top: 50px;
  }

  .table .header {
    text-align: left;
    font-weight: bold;
  }

  .table .row {
    border: 1px solid #dedede;
  }

  .empty-message {
    padding-top: 5px;
    font-style: italic;
  }
</style>